const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    ebx_global_2d_to_2d_local = z.x # ebx;
    edi_global_2d_to_2d_local = arg1[48] # edi;
    st7_global_2d_to_2d_local = arg1[56] # st7;
    v1_14 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+14;
    z.x = z.x & -0x10000 | v1_14 & -0xff01 | v1_14 / 2 & 0x7f00;
    if v1_14 & 256 == 0:;
        # 0x1a;
        storemerge8_in_in = *((edi_global_2d_to_2d_local - 24)) - st7_global_2d_to_2d_local;
        goto lab_0x2b;
    else:;
        v1_22 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+22;
        z.x = z.x & -0x10000 | v1_22 & -0xff01 | v1_22 / 2 & 0x7f00;
        if v1_22 & 256 == 0:;
            return st7_global_2d_to_2d_local;
        else:;
            # 0x28;
            storemerge8_in_in = *((edi_global_2d_to_2d_local - 40)) - st7_global_2d_to_2d_local;
            goto lab_0x2b;
  lab_0x2b: # goto label;
    v7_2b = storemerge8_in_in / arg1[56];
    st7_global_2d_to_2d_local = v7_2b;
    *ebx_global_2d_to_2d_local = v7_2b * z.x;
    *z.y = z.y * st7_global_2d_to_2d_local;
    z.x = ebx_global_2d_to_2d_local;
    *z.z = z.z * st7_global_2d_to_2d_local;
    return st7_global_2d_to_2d_local;
    # 0x42;
    return st7_global_2d_to_2d_local;


	}